
/* STAT.C */

#include <string.h>
#include <alloc.h>

#include "Stat0.h"

/******************************* EXPRESSION *******************************/

void SimpleExpr (void)
{
   if (sy != IDENT &&
       sy != NUM &&
       sy != FLT &&
       sy != STR &&
       sy != CHR) Error ("Expression expected");

   NextSymbol ();
}

void expression (void)
{
   SimpleExpr ();

   if (sy == ASSIGN)
   {
      NextSymbol ();
      SimpleExpr ();
   }
}

/********************************** INFO **********************************/

void info (char * txt)
{
   /* informace o jednoduchem prikazu */
   PutStr (txt);
   PutEol ();
}

void open_info (char * txt)
{
   /* informace o vnorenych prikazech */
   PutStr (txt);
   PutEol ();
   Indent ();
}

void close_info (void)
{
   Unindent ();
}

/******************************* STATEMENTS *******************************/

void statement (void)
{
   Error ("Unknown statement");
}


